# -*- coding: utf-8 -*-
"""
Created on Sat Oct 29 20:58:07 2022

@author: lin
"""

import numpy as np
import tensorflow as tf
import ktc
import onnx

result_m = ktc.onnx_optimizer.tflite2onnx_flow('1031.tflite')

optimized_m = ktc.onnx_optimizer.onnx2onnx_flow(result_m, eliminate_tail=True, opt_matmul=False)

# Save the onnx object optimized_m to path /data1/optimized.onnx.
onnx.save(optimized_m, 'opt.onnx')

km = ktc.ModelConfig(20008, "0001", "720", onnx_model=optimized_m)
eval_result = km.evaluate()
print("\nNpu performance evaluation result:\n" + str(eval_result))
